﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = 'https://downloads.graylog.org/releases/graylog-collector-sidecar/1.3.0/graylog_sidecar_installer_1.3.0-1.exe'
  softwareName  = 'graylog-sidecar*'
  checksum      = '4a7c4436eb85c388addedbc5b6b4795b0d2c8a349366cde5b8a22ab7fdd90da9'
  checksumType  = 'sha256'
  silentArgs   = '/S'
}

Install-ChocolateyPackage @packageArgs
